const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const deal_tags = sequelize.define(
    'deal_tags',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  deal_tags.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity


















//end loop



    db.deal_tags.belongsTo(db.deals, {
      as: 'deal',
      foreignKey: {
        name: 'dealId',
      },
      constraints: false,
    });

    db.deal_tags.belongsTo(db.tags, {
      as: 'tag',
      foreignKey: {
        name: 'tagId',
      },
      constraints: false,
    });




    db.deal_tags.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.deal_tags.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return deal_tags;
};


